/* -*- C -*- ***********************************************
Based on the Python Modules/config.c.in, which had:
Copyright (c) 2000, BeOpen.com.
Copyright (c) 1995-2000, Corporation for National Research Initiatives.
Copyright (c) 1990-1995, Stichting Mathematisch Centrum.
All rights reserved.

See the file "Misc/COPYRIGHT" for information on usage and
redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
******************************************************************/

#include "Python.h"
#include "bitsmodule.h"

char *Py_GetExecPrefix(void)
{
    return "";
}

char *Py_GetPath(void)
{
    return "";
}

char *Py_GetPrefix(void)
{
    return "";
}

char *Py_GetProgramFullPath(void)
{
    return "";
}

void PyOS_InitInterrupts(void)
{
}

void PyOS_FiniInterrupts(void)
{
}

int PyOS_InterruptOccurred(void)
{
    return 0;
}

extern void PyMarshal_Init(void);
extern void initimp(void);
extern void initgc(void);
extern void init_ast(void);
extern void _PyWarnings_Init(void);
extern void init_struct(void);

struct _inittab _PyImport_Inittab[] = {

    /* This module lives in marshal.c */
    {"marshal", PyMarshal_Init},

    /* This lives in import.c */
    {"imp", initimp},

    /* This lives in Python/Python-ast.c */
    {"_ast", init_ast},

    /* These entries are here for sys.builtin_module_names */
    {"__main__", NULL},
    {"__builtin__", NULL},
    {"sys", NULL},
    {"exceptions", NULL},

    /* This lives in gcmodule.c */
    {"gc", initgc},

    /* This lives in _warnings.c */
    {"_warnings", _PyWarnings_Init},

    {"_struct", init_struct},

    {"bits", initbits},

    /* Sentinel */
    {0, 0}
};
